import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";
import { Tabs } from "..";
import { Tab } from "../../tab";
import { GlobalCSS, StorybookGlobalCSS } from "../../global-css";

export default {
    title: "Tabs",
    component: Tabs,
    
    decorators: [
        (Story) => (
            <>
                <StorybookGlobalCSS />
                {Story()}
            </>
        )
    ]
} as ComponentMeta<typeof Tabs>;

const Template = (args) => <Tabs>
    <Tab>Home</Tab>
    <Tab>Posts</Tab>
    <Tab>Notifications</Tab>
    <Tab>Settings</Tab>
</Tabs>

export const Lined = Template.bind({});
Lined.args = {};