import React from "react"
import { Child, FoundationSize } from "../types"
import styles, { StyledButton } from "./style";

export interface ButtonProps {
    children: Child,
    as?: React.ElementType,

    /** Variants */
    primary?: boolean,
    secondary?: boolean,
    
    size?: FoundationSize
}

export const Button = ({
    children,
    primary,
    secondary,
    size
}: ButtonProps) => {
    // const className = cx({
    //     [styles.base]: true,

    //     /* Variants */
    //     [styles.primary]: primary,

    //     /* Sizes */
    //     [styles.sm]: size == "sm",
    //     [styles.md]: size == "md",
    //     [styles.def]: !size || size == "def",
    //     [styles.lg]: size == "lg",
    //     [styles.xl]: size == "xl",
    //     [styles.xxl]: size == "xxl"
    // })

    return (
        <StyledButton>
            {children}
        </StyledButton>
    )
}