import React from "react"
import { Child, FoundationSize } from "../types"
import styles from "./style";

export interface TabsProps {
    children: Child,
    onChange?: React.ChangeEvent
}

export const Tabs = ({
    children,
    onChange
}: TabsProps) => {
    return (
        <ul className={styles.base}>
            {children}
        </ul>
    )
}