import React from "react";
import { FoundationTheme } from "./theme";

export type Child = React.ReactNode;
export type Children = Child[];
export type ChildOrMore = Child | Children;

export type FoundationSize = 'sm' | 'md' | 'def' | 'lg' | 'xl' | 'xxl';
export type SCTP = { theme: FoundationTheme };